package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

public class ContentReadingLogDto extends AbstractDto {
	public int readingLogId;
	public long contentId;
	public int status;
	public Date startDate;
	public Date resumeDate;
	public Date endDate;
	public int duration;
	public Double latitude;
	public Double longitude;
	public int mode;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{readingLogId, contentId, status, startDate, resumeDate, endDate, duration, latitude, longitude, mode};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{contentId, status, startDate, resumeDate, endDate, duration, latitude, longitude, mode, readingLogId};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ readingLogId};
	}

}
